Systemd xinetd None of these have been applicable

CMK version:2.1.0p4.cfe

Hello all,
i’m trying to install rpm agent on CloudLinux 7.9 and I’ve got this error:
The Checkmk agent may require features that are either buggy,
or not even supported in systemd versions prior to 220.
We recommend using xinetd on such old systems.
xinetd not found on system---------------------------------------------
WARNING

This package comes with configuration files
for the following super server(s):
systemd
xinetd
It is configured to try these (in order of
preference):
systemd
xinetd
None of these have been applicable.

can someone help me pls?
thanks in advance
rgds
Paolo

Install xinetd, then run the post install script again:

/var/lib/cmk-agent/scripts/super-server/1_xinetd/setup deploy
/var/lib/cmk-agent/scripts/super-server/1_xinetd/setup trigger

On such systems like cloud instances you don’t want extra software under any circumstances.
It is the same for Linux appliances of any kind.

@paolo please take a look at section 6 of the linked documentation → Encrypted: Use of an SSH tunnel

@andreas-doehler yes if is possible I don’t want extra Software.
I’ll try ssh tunnel
Thanks
Ciao
Paolo